const { spotify} = require('../utilities/spotify')

exports.command = 'volume-up'
exports.handler = async () => {
    try {
        await spotify.ensure();
        const { body } = await spotify.getMyCurrentPlaybackState();
        const { device = {} } = body
        const { supports_volume = false, volume_percent = 100 } = device;

        if (supports_volume) {
            await spotify.setVolume(Math.min(Math.max(volume_percent + 10, 0), 100));
        }
    } catch (e) {
        console.error(e.message);
    }
};